﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SyncfusionMvcApplication28;
using SyncfusionMvcApplication28.Grid;
using MVCSampleBrowser.Models;

namespace SyncfusionMvcApplication28.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/
        public ActionResult GridFeatures()
        {
            var DataSource = OrderRepository.GetComplexRecords().ToList();
            ViewBag.datasource = DataSource;
            ViewBag.datasource1 = DataSource;
            ViewBag.datasource2 = DataSource;
            return View();
        }
        public ActionResult BatchUpdate(List<EditableOrder> changed, List<EditableOrder> added, List<EditableOrder> deleted)
        {
            if (changed != null)
                OrderRepository.ComplexUpdate(changed);
            if (deleted != null)
                OrderRepository.ComplexDelete(deleted);
            if (added != null)
                OrderRepository.ComplexAdd(added);
            var data = OrderRepository.GetComplexRecords();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
    }
}
